Sisimai::Reason::Rejected(3pm)

NAME
Sisimai::Reason::Rejected - Bounce reason is "rejected" or not.

SYNOPSIS
    use Sisimai::Reason::Rejected;
    print Sisimai::Reason::Rejected->match('550 Address rejected');   # 1

DESCRIPTION
Sisimai::Reason::Rejected checks the bounce reason is "rejected" or not. This class is called only Sisimai::Reason class.

This is the error that a connection to destination server was rejected by a sender's email address (envelope from). Sisimai set "rejected" to the reason of email bounce if the value of Status: field in a bounce email is 5.1.8 or the connection has been rejected due to the argument of SMTP MAIL command.

    <kijitora@example.org>:
    Connected to 192.0.2.225 but sender was rejected.
    Remote host said: 550 5.7.1 <root@nijo.example.jp>... Access denied

CLASS METHODS

  "text()"
"text()" returns string: "rejected".

    print Sisimai::Reason::Rejected->text;  # rejected

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Rejected->match('550 Address rejected');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "rejected". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2019 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.